<?php
// featured slider
global $options;
?>
<div id="featured-wrap">
	<?php 
		$post_args = array('post_type' => 'sites', 'posts_per_page' => 5, 'meta_key' => 'niche_featured', 'meta_value' => 'on');
		$slides = get_posts($post_args);
		if($slides) : ?>
			<script type="text/javascript">
			jQuery(document).ready(function(){			
				// featured slider
				jQuery('#featured').bxSlider({
					autoControls: false,
					auto: true,
					autoStart: true,
					pause: <?php if($options['slide_speed']) { echo $options['slide_speed']; } else { echo '4000'; } ?>, 
					autoHover: true,
					pager: true,
					pagerSelector: '#featured-pager',
					controls: true
				});	
			});
			</script>
			<h3 class="featured-title">Featured Sites</h3>
			<ul id="featured">
				<?php
				foreach ($slides as $slide) : ?>
					<li class="entry clearfix">
						<a href="<?php echo get_permalink($slide->ID); ?>">
						<?php
							$meta = get_post_custom($slide->ID);
							$thumb = $meta['niche_thumb'][0];
							if($thumb == '' || !isset($thumb)) {
								echo get_the_post_thumbnail($slide->ID, 'site-thumb-small');
							} else {
								echo '<img src="' . $thumb . '" class="attachment-site-thumb-small"/>';
							}
						?>
						</a>
						<div class="site-desc">
							<h3 class="title"><a href="<?php echo get_permalink($slide->ID); ?>"><?php echo get_the_title($slide->ID); ?></a></h3>
							<p class="site-url"><?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?></p>
							<?php 
								/*
								$content_excerpt = $slide->post_excerpt;
								if($content_excerpt == '') {
									$content_excerpt = $slide->post_content;
								}
								$content_excerpt = strip_tags(stripslashes($content_excerpt), '<a><em><strong>');
								$excerpt_length = 18;
								$content_excerpt = preg_split('/\b/', $content_excerpt, $excerpt_length*2+1);
								$body_excerpt_waste = array_pop($content_excerpt);
								$content_excerpt = implode($content_excerpt);
								$content_excerpt .= '...';
								echo apply_filters('the_content',$content_excerpt);
								*/
								
							?>
							<p><?php echo $meta['niche_site_desc'][0]; ?></p>
						</div><!--end .site-desc -->
						<div class="site-meta">
							<a href="<?php echo $meta['niche_site_url'][0]; ?>" class="visit-site button serif" target="_blank" title="<?php the_title_attribute(); ?>">Visit Website</a>
							<?php							
								// get the term archive link for the first category
								$terms = get_the_terms($slide->ID, 'site_categories');
								if($terms) {
									foreach($terms as $term) {
										$term_link = get_term_link($term, 'site_categories'); break;
									}
								}
							?>
							<ul>
								<li class="details"><a href="<?php echo get_permalink($slide->ID); ?>">view details</a></li>
								<li class="related"><a href="#"><a href="<?php echo $term_link; ?>">related sites</a></li>
							</ul>
						</div><!--end .site-meta -->
					</li>
				<?php endforeach; ?>
			</ul><!--end #featured -->
			<div id="featured-pager"></div>
		<?php endif;
	?>	 
</div><!--end #featured-wrap -->