<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
get_header(); ?>

	<div id="main-content" class="column">
	
		<?php get_template_part('featured', 'slider'); ?>
		
		<div id="latest" class="site-list">
			<h2><?php if($options['latest_sites']) { echo $options['latest_sites']; } else { ?>Latest Themes<?php } ?></h2>
			<?php 
				$sites = new WP_Query( array('post_type' => 'sites') );
				if ( $sites->have_posts() ) : $i = 0;
					while ( $sites->have_posts() ) : $sites->the_post(); ?>
						<div class="entry clearfix">
							<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(  $post->ID ), "site-image" ); ?>
							<!--<a href="<?php echo $image[0]; ?>" class="preview">-->
							<a href="<?php the_permalink(); ?>">
								<?php
									$meta = get_post_custom(get_the_ID());
									$thumb = $meta['niche_thumb'][0];
									if($thumb == '' || !isset($thumb)) {
										the_post_thumbnail('site-thumb');
									} else {
										echo '<img src="' . $thumb . '" class="attachment-site-thumb"/>';
									}
								?>
							</a>
							<div class="site-desc">
								<h3 class="title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
								<p class="site-url"><?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?></p>
								<p><?php echo $meta['niche_site_desc'][0]; ?></p>
								<?php //the_new_excerpt(20, ''); ?>
							</div><!--end .site-desc -->
							<div class="site-meta">
								<?php
									// get the term archive link for the first category
									$terms = get_the_terms(get_the_ID(), 'site_categories');
									if($terms) {
										foreach($terms as $term) {
											$term_link = get_term_link($term, 'site_categories'); break;
										}
									}
								?>
								<a href="http://<?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?>" target="_blank" class="visit-site serif button" title="<?php the_title_attribute(); ?>">Visit Website</a>
								<ul>
									<li class="details"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">view details</a></li>
									<li class="related"><a href="#"><a href="<?php echo $term_link; ?>">related sites</a></li>
								</ul>
							</div><!--end .site-meta -->
						</div><!--end .entry -->
						
						<?php if($i == 3 && $options['adsense_index']) { ?>
						<div class="ad-wrap"><div id="google-adsense" class="index-ads"><?php echo $options['adsense_index']; ?></div></div>

						<?php } ?>
						
					<?php $i++; endwhile;
				else:
					echo 'no posts found';
				endif;
				wp_reset_postdata(); 
			?>	
		</div><!--end #latest-->

	</div>
	
	<?php get_sidebar('left'); ?>
	
<?php get_footer(); ?>
