<?php

/******************************************
* custom post types
******************************************/

function niche_create_post_types() {

	$site_labels = array(
		'name' => _x( 'Websites', 'post type general name' ), // Tip: _x('') is used for localization
		'singular_name' => _x( 'Website', 'post type singular name' ),
		'add_new' => _x( 'Add New Site', 'Site' ),
		'add_new_item' => __( 'Add New Site' ),
		'edit_item' => __( 'Edit Site' ),
		'new_item' => __( 'Add New Site' ),
		'view_item' => __( 'View Site' ),
		'search_items' => __( 'Search Sites' ),
		'not_found' =>  __( 'No Sites found' ),
		'not_found_in_trash' => __( 'No Sites found in Trash' ),
		'parent_item_colon' => ''
	);

 	$site_args = array(
     	'labels' => $site_labels,
     	'singular_label' => __('Website'),
     	'public' => true,
     	'show_ui' => true,
		'has_archive' => true,
	  	'capability_type' => 'post',
     	'hierarchical' => false,
     	'rewrite' => array( 'slug' => 'sites' ),
     	'supports' => array('title', 'editor', 'revisions', 'thumbnail', 'comments'),
		'menu_position' => 5
     );
 	register_post_type('sites', $site_args);
	
}
add_action('init', 'niche_create_post_types');

function niche_create_taxonomies() 
{
	global $options;

  // setup the portfolio type taxonomy
  $cat_labels = array(
    'name' => _x( 'Category', 'taxonomy general name' ),
    'singular_name' => _x( 'Category', 'taxonomy singular name' ),
    'search_items' =>  __( 'Search Categories' ),
    'popular_items' => __( 'Popular Categories' ),
    'all_items' => __( 'All Categories' ),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Edit Category' ), 
    'update_item' => __( 'Update Category' ),
    'add_new_item' => __( 'Add New Category' ),
    'new_item_name' => __( 'New Category' ),
    'separate_items_with_commas' => __( 'Separate Categories with commas' ),
    'add_or_remove_items' => __( 'Add or remove Categories' ),
    'choose_from_most_used' => __( 'Choose from the most used Categories' ),
    'menu_name' => __( 'Categories' ),
  ); 

  register_taxonomy('site_categories', array('sites'),array(
	'hierarchical' => true,
	'labels' => $cat_labels,
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'list' ),
  ));
  
  // setup the portfolio type taxonomy
  $tag_labels = array(
    'name' => _x( 'Tag', 'taxonomy general name' ),
    'singular_name' => _x( 'Tag', 'taxonomy singular name' ),
    'search_items' =>  __( 'Search Tags' ),
    'popular_items' => __( 'Popular Tags' ),
    'all_items' => __( 'All Tags' ),
    'parent_item' => null,
    'parent_item_colon' => null,
    'edit_item' => __( 'Edit Tag' ), 
    'update_item' => __( 'Update Tag' ),
    'add_new_item' => __( 'Add New Tag' ),
    'new_item_name' => __( 'New Tag' ),
    'separate_items_with_commas' => __( 'Separate Tags with commas' ),
    'add_or_remove_items' => __( 'Add or remove Tags' ),
    'choose_from_most_used' => __( 'Choose from the most used Tags' ),
    'menu_name' => __( 'Tags' ),
  ); 

  register_taxonomy('site_tags', array('sites'),array(
	'hierarchical' => false,
	'labels' => $tag_labels,
	'show_ui' => true,
	'query_var' => true,
	'rewrite' => array( 'slug' => 'lists' ),
  ));
  
}
add_action( 'init', 'niche_create_taxonomies', 0 );