<?php

/******************************************************************
**************** theme settings
******************************************************************/

/**
 * Init options to white list our options
 */
function bb_settings_init(){
	register_setting( 'bb_settings', 'bb_theme_settings' );
}

/**
 * Load up the menu page
 */
function bb_add_settings_page() {
	add_menu_page( __( 'Theme Settings' ), __( 'Theme Settings' ), 'manage_options', basename(__FILE__), 'bb_theme_settings_page');
}
add_action( 'admin_init', 'bb_settings_init' );
add_action( 'admin_menu', 'bb_add_settings_page' );

/**
* Option Arrays
*/
$fonts = array('Default','Arial','Georgia','Lucida Sans Unicode','Times New Roman','Verdana','Droid Sans', 'Ubuntu', 'Nobile','Molengo','Arvo','Coming Soon','Tangerine','Cantarell','Vollkorn','Chewy');


/**
 * Create the options page
 */
function bb_theme_settings_page() {
	global $fonts;

	if ( ! isset( $_REQUEST['updated'] ) )
		$_REQUEST['updated'] = false;

	?>
	<div class="wrap">
		<?php echo "<h2>" . get_current_theme() . __( ' Options' ) . "</h2>"; ?>
		<?php if ( false !== $_REQUEST['updated'] ) : ?>
		<div class="updated fade"><p><strong><?php _e( 'Options saved' ); ?></strong></p></div>
		<?php endif; ?>
		<form method="post" action="options.php">
			<?php settings_fields( 'bb_settings' ); ?>
			<?php $options = get_option( 'bb_theme_settings' ); ?>

			<table class="form-table">
							
				<?php
				/**
				 * Address and contact info
				 */
				?>
				

				
				<!--Separator-->
				<tr valign="top"><th scope="row"><h2><?php _e( 'Theme Images' ); ?></h2></th></tr>
				
				<tr valign="top"><th scope="row"><?php _e( 'Site Logo' ); ?></th>
					<td>
						<input id="bb_theme_settings[logo]" class="regular-text upload_field" type="text" size="36" name="bb_theme_settings[logo]" value="<?php esc_attr_e( $options['logo'] ); ?>" />
						<input class="upload_image_button" type="button" value="Upload Image" />
						<label class="description abouttxtdescription" for="bb_theme_settings[logo]"><?php _e( 'Upload or type in the URL for the main logo..' ); ?></label>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><?php _e( 'Latest Sites Text' ); ?></th>
					<td>
						<input id="bb_theme_settings[latest_sites]" class="regular-text" type="text" size="36" name="bb_theme_settings[latest_sites]" value="<?php esc_attr_e( $options['latest_sites'] ); ?>" />
						<label class="description abouttxtdescription" for="bb_theme_settings[latest_sites]"><?php _e( 'This is the header text shown at the top of the home page' ); ?></label>
					</td>
				</tr>
			
				<!--Separator-->
				<tr valign="top"><th scope="row"><h2><?php _e( 'Site Category / Tag Bases' ); ?></h2></th></tr>
			
				<tr valign="top"><th scope="row"><?php _e( 'Site Category Base' ); ?></th>
					<td>
						<input id="bb_theme_settings[category_base]" class="regular-text" type="text" size="36" name="bb_theme_settings[category_base]" value="<?php esc_attr_e( $options['category_base'] ); ?>" />
						<label class="description" for="bb_theme_settings[category_base]"><?php _e( 'Enter the base for site category permalinks' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Site Tags Base' ); ?></th>
					<td>
						<input id="bb_theme_settings[tags_base]" class="regular-text" type="text" size="36" name="bb_theme_settings[tags_base]" value="<?php esc_attr_e( $options['tags_base'] ); ?>" />
						<label class="description abouttxtdescription" for="bb_theme_settings[tags_base]"><?php _e( 'Enter the base for site tag permalinks' ); ?></label>
					</td>
				</tr>
			
				<!--Separator-->
				<tr valign="top"><th scope="row"><h2><?php _e( 'Slider Settings' ); ?></h2></th></tr>
			
				<tr valign="top"><th scope="row"><?php _e( 'Slide Pause' ); ?></th>
					<td>
						<input id="bb_theme_settings[slide_speed]" class="regular-text" type="text" size="36" name="bb_theme_settings[slide_speed]" value="<?php esc_attr_e( $options['slide_speed'] ); ?>" />
						<label class="description" for="bb_theme_settings[slide_speed]"><?php _e( 'Enter the time in milliseconds. This how long each slide is displayed' ); ?></label>
					</td>
				</tr>
				
				<!--Separator-->
				<tr valign="top"><th scope="row"><h2><?php _e( 'Featured in Category' ); ?></h2></th></tr>
			
				<tr valign="top"><th scope="row"><?php _e( 'Number' ); ?></th>
					<td>
						<input id="bb_theme_settings[featured_number]" class="regular-text" type="text" size="36" name="bb_theme_settings[featured_number]" value="<?php esc_attr_e( $options['featured_number'] ); ?>" />
						<label class="description" for="bb_theme_settings[featured_number]"><?php _e( 'The number of items to show in the category featured section' ); ?></label>
					</td>
				</tr>
			
				<!--Separator-->
				<tr valign="top"><th scope="row"><h2><?php _e( 'Google Adsense Code' ); ?></h2></th></tr>
				
				<tr valign="top"><th scope="row"><?php _e( 'Single Post Ad Code' ); ?></th>
					<td>
						<textarea style="height: 150px; width: 600px;" id="bb_theme_settings[adsense_single]" name="bb_theme_settings[adsense_single]" class="adsense_single"><?php esc_attr_e($options['adsense_single']); ?> </textarea><br/>
						<label class="description" for="bb_theme_settings[adsense_single]"><?php _e( 'Paste the adsense code for the single post pages here' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Single Post Ad Code 236x60' ); ?></th>
					<td>
						<textarea style="height: 150px; width: 600px;" id="bb_theme_settings[adsense_single_small]" name="bb_theme_settings[adsense_single_small]" class="adsense_single_small"><?php esc_attr_e($options['adsense_single_small']); ?> </textarea><br/>
						<label class="description" for="bb_theme_settings[adsense_single_small]"><?php _e( 'Paste the adsense code for the single post pages here. This is shown below the social links' ); ?></label>
					</td>
				</tr>
				<tr valign="top"><th scope="row"><?php _e( 'Index / Archive Ad Code' ); ?></th>
					<td>
						<textarea style="height: 150px; width: 600px;" id="bb_theme_settings[adsense_index]" name="bb_theme_settings[adsense_index]" class="adsense_index"><?php esc_attr_e($options['adsense_index']); ?> </textarea><br/>
						<label class="description" for="bb_theme_settings[adsense_index]"><?php _e( 'Paste the adsense code for the index / list' ); ?></label>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row"><?php _e( 'Index / Archive Top Ad Code' ); ?></th>
					<td>
						<textarea style="height: 150px; width: 600px;" id="bb_theme_settings[adsense_index_top]" name="bb_theme_settings[adsense_index_top]" class="adsense_index_top"><?php esc_attr_e($options['adsense_index_top']); ?> </textarea><br/>
						<label class="description" for="bb_theme_settings[adsense_index_top]"><?php _e( 'Paste the adsense code for the index / list. Shown at the top in place of the featured slider' ); ?></label>
					</td>
				</tr>
								
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="<?php _e( 'Save Options' ); ?>" />
			</p>
		</form>
	</div>
	<?php
}
/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function bb_options_validate( $input ) {
	global $select_options, $radio_options;

	// Our checkbox value is either 0 or 1
	if ( ! isset( $input['option1'] ) )
		$input['option1'] = null;
	$input['option1'] = ( $input['option1'] == 1 ? 1 : 0 );

	// Say our text option must be safe text with no HTML tags
	$input['sometext'] = wp_filter_nohtml_kses( $input['sometext'] );


	// Our radio option must actually be in our array of radio options
	if ( ! isset( $input['radioinput'] ) )
		$input['radioinput'] = null;
	if ( ! array_key_exists( $input['radioinput'], $radio_options ) )
		$input['radioinput'] = null;

	// Say our textarea option must be safe text with the allowed tags for posts
	$input['sometextarea'] = wp_filter_post_kses( $input['sometextarea'] );

	return $input;
}

function bb_admin_scripts() {
	$file_dir = get_template_directory_uri();
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
}
function bb_admin_styles() {
	$file_dir = get_template_directory_uri();
	wp_enqueue_style("admin-css", $file_dir."/includes/theme-admin.css");
	wp_enqueue_style('thickbox');
}
function bb_admin_echo_scripts()
{
?>
  <script type="text/javascript">
    //<![CDATA[
    jQuery(document).ready(function() {
	  
	// Media Uploader
    window.formfield = '';

    jQuery('.upload_image_button').live('click', function() {
        window.formfield = jQuery('.upload_field',jQuery(this).parent());
        tb_show('', 'media-upload.php?type=image&TB_iframe=true');
        return false;
    });

    window.original_send_to_editor = window.send_to_editor;
    window.send_to_editor = function(html) {
        if (window.formfield) {
            imgurl = jQuery('img',html).attr('src');
            window.formfield.val(imgurl);
            tb_remove();
        }
        else {
            window.original_send_to_editor(html);
        }
        window.formfield = '';
        window.imagefield = false;
    }

	});
    //]]> 
  </script>
<?php
}
if ( (isset($_GET['page']) && $_GET['page'] == 'theme-settings.php')) {
	add_action('admin_print_scripts', 'bb_admin_scripts');
	add_action('admin_print_styles', 'bb_admin_styles');
	add_action('admin_head', 'bb_admin_echo_scripts');
	add_action( 'admin_print_scripts', 'bb_color_picker_js' );
	add_action( 'admin_head', 'bb_color_picker_script' );
	add_action( 'admin_print_styles', 'bb_color_picker_css' );
}

/***********************
* color picker
***********************/
function bb_color_picker_js() {
	wp_enqueue_script('bb-colorpicker', get_bloginfo('stylesheet_directory') . '/includes/colorpicker.js', array( 'jquery' ), false, true );
}
add_action( 'admin_print_scripts', 'bb_color_picker_js' );

function bb_color_picker_script() {
print <<<EOF
<script>
jQuery( document ).ready( function( $ ) {

/* Apply color picker to classes */
$( '.color-picker' ).ColorPicker( {
onSubmit: function( hsb, hex, rgb, el ) {
$( el ).val( hex );
$( el ).css( 'backgroundColor', '#' + hex );
$( el ).css( 'color', '#' + hex );
$( el ).ColorPickerHide();
},
onBeforeShow: function () {
$( this ).ColorPickerSetColor( this.value );
},
onShow: function ( box ) {
$( box ).fadeIn( 230 );
return false;
},
onHide: function ( box ) {
$( box ).fadeOut( 230 );
return false;
},
} );

} );
</script>
EOF;
}

function bb_color_picker_css() {
	wp_enqueue_style('bb-colorpicker', get_bloginfo('stylesheet_directory') . '/includes/colorpicker.css');
}