<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
get_header(); ?>

	<div id="main-content">
	
		<?php get_template_part('post', 'navigator'); ?>
	
		<?php if (have_posts()) : ?>

			<?php while (have_posts()) : the_post(); ?>
				<?php $meta = get_post_custom(); ?>
				<div class="entry clearfix">
				
					<?php if (function_exists('dimox_breadcrumbs')) dimox_breadcrumbs(); ?>
					
					<div class="column-left">
						<?php the_post_thumbnail('site-image'); ?>
					</div><!--end .colmun-left-->
					<div class="column-right">
						<h2 class="title"><?php the_title(); ?></h2>
						<p class="site-url"><a href="http://<?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?>" target="_blank"><?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?></a></p>
						<p class="short-site-desc"><?php echo $meta['niche_site_desc'][0]; ?></p>
						<a href="http://<?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?>" target="_blank" class="visit-site serif button" title="<?php the_title_attribute(); ?>">Visit Website</a>

						<ul class="social">
							<li><a title="Email to a Friend" href="http://www.feedburner.com/fb/a/emailFlare?itemTitle=<?php the_title(); ?>&uri=<?php the_permalink(); ?>&loc=$loc" class="email">Email to a Friend</a></li>
							<li><a title="Share on Facebook" href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>" class="facebook">Share on Facebook</a></li>
							<li><a title="Share on Twitter" href="http://twitter.com/home/?status=<?php the_title(); ?>+<?php the_permalink(); ?>" class="twitter">Share on Twitter</a></li>
							<li><a title="Share on LinkedIn" href="http://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>" class="linkedin">Share in LinkedIn</a></li>
						</ul>
						<div id="google-adsense-small"><?php echo $options['adsense_single_small']; ?></div>
					</div><!--end .column-right-->
					
					<div id="site-description">
						<div class="column-left">
							<?php the_content(); ?>
						</div>
						<div class="column-right">
							<ul class="meta">
								<li><?php echo get_the_term_list($post->ID, 'site_categories', '', ', ', ''); ?></li>
								<li class="tags"><?php echo get_the_term_list($post->ID, 'site_tags', '', ', ', ''); ?></li>
							</ul>
						</div>
					</div>
					
					<div id="post-bottom">
						
						<div id="google-adsense">
							<h4 class="related serif">Sponsored Links</h4>
							<?php echo $options['adsense_single']; ?>
						</div>
						<div class="related-sites">
							<h4 class="related serif">Related Sites</h4>
							<?php echo niche_related_posts('site_categories'); ?>
						</div><!--end .related-sites-->
					</div><!--end #post-bottom-->
				</div>
				
				<div id="comments">
					<?php comments_template(); ?>
				</div>

					
				
			<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
				<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
			</div>

		<?php else : ?>

			<div class="entry">
				<h3 class="title serif">Not Found</h3>
				<p>Sorry, but you are looking for something that isn't here.</p>
			</div>

		<?php endif; ?>

	</div>

	<?php get_sidebar('left'); ?>
	
<?php get_footer(); ?>
