<?php				
// get featured sites

global $wp_query, $exclude_array, $options;

$exclude_array = array();

$tax_query = array(
	array(
		'taxonomy' => 'site_categories',
		'terms' => get_query_var($wp_query->query_vars['taxonomy']),
		'field' => 'slug'
	)
);

$meta_query = array(
	array(
		'key' => 'niche_featured_in_cat',
		'value' => 'on'
	)
);

$featured_number = $options['featured_number'];

$post_args = array('post_type' => 'sites', 'numberposts' => $featured_number, 'meta_query' => $meta_query, 'tax_query' => $tax_query);
$sites = get_posts($post_args);
if($sites) : ?>			
	<div id="cat-featured">
		<?php foreach ($sites as $site) : ?>
			<div class="entry clearfix featured">
				<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(  $site->ID ), "site-image" ); ?>
				<!--<a href="<?php echo $image[0]; ?>" class="preview">-->
				<a href="<?php echo get_permalink($site->ID); ?>">
					<?php
						$meta = get_post_custom($site->ID);
						$thumb = $meta['niche_thumb'][0];
						if($thumb == '' || !isset($thumb)) {
							echo get_the_post_thumbnail($site->ID, 'site-thumb-featured');
						} else {
							echo '<img src="' . $thumb . '" class="attachment-site-thumb-featured"/>';
						}
					?>
				</a>
				<div class="site-desc">
					<h3 class="title"><a href="<?php echo get_permalink($site->ID); ?>"><?php echo get_the_title($site->ID); ?></a></h3>
					<p class="site-url"><?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?></p>
					<?php if($meta['niche_site_desc'][0]) { ?>
						<p><?php echo $meta['niche_site_desc'][0]; ?></p>
					<?php } else { the_new_excerpt(20, ''); } ?>
				</div><!--end .site-desc -->
				<div class="site-meta">
					<a href="http://<?php echo str_replace('http://', '', $meta['niche_site_url'][0]); ?>" class="visit-site serif button" title="<?php the_title_attribute(); ?>" target="_blank">Visit Website</a>
					<ul>
						<li class="details"><a href="<?php echo get_permalink($site->ID); ?>">view details</a></li>
					</ul>
				</div><!--end .site-meta -->
			</div><!--end .entry -->
			<?php $exclude_array[] = $site->ID; ?>
		<?php endforeach; ?>
	</div>
<?php endif; ?>