<?php

global $options;
$options = get_option('bb_theme_settings'); 

// extra theme files
include(dirname(__FILE__) . '/includes/metabox.php');
include(dirname(__FILE__) . '/includes/theme-settings.php');
include(dirname(__FILE__) . '/includes/post-types.php');


if ( function_exists('register_sidebar') )

	register_sidebars(1, array(
		'name' => 'Sidebar',
		'id' => 'sidebar_left',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
		'before_widget' => '<li class="widget">',
		'after_widget' => '</li>'
    ));
	register_sidebars(1, array(
		'name' => 'Footer Left',
		'id' => 'footer_left',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
		'before_widget' => '<li class="widget">',
		'after_widget' => '</li>'
    ));
	register_sidebars(1, array(
		'name' => 'Footer Center',
		'id' => 'footer_center',
        'before_title' => '<h3>',
        'after_title' => '</h3>',
		'before_widget' => '<li class="widget">',
		'after_widget' => '</li>'
    ));
	register_sidebars(1, array(
		'name' => 'Footer Right',
		'id' => 'footer_right',
		'before_title' => '<h3>',
        'after_title' => '</h3>',
		'before_widget' => '<li class="widget">',
		'after_widget' => '</li>'
    ));

// set up custom nav menus
if ( function_exists( 'register_nav_menus' ) ) {
	register_nav_menus(
		array(
		  'top_nav' => 'Top Nav',
		  'top_left' => 'Top Left',
		  'bottom_nav' => 'Bottom Nav'
		)
	);
}	

 //adds post thumbnail support - new in Wordpress 2.9
add_theme_support( 'post-thumbnails' );

function bb_image_sizes() {
	set_post_thumbnail_size( 649, 245, true ); // default post thumbnail size
	add_image_size( 'post-image',  659, 245, true ); // main post image
	add_image_size( 'related-sites',  62, 62, true ); // website thumbnail
	add_image_size( 'site-thumb-small',  78, 78, true ); // website thumbnail
	add_image_size( 'site-thumb',  150, 120, true ); // website thumbnail
	add_image_size( 'site-thumb-featured',  130, 120, true ); // website thumbnail
	add_image_size( 'site-image',  370, 350, true ); // website image
}
add_action('init', 'bb_image_sizes');

// retrieves the attachment ID from the file URL
function niche_get_image_id($image_url) {
	global $wpdb;
	$prefix = $wpdb->prefix;
	$attachment = $wpdb->get_col($wpdb->prepare("SELECT ID FROM " . $prefix . "posts" . " WHERE guid='" . $image_url . "';"));
	return $attachment[0];	
}

function dimox_breadcrumbs() {
 
  $delimiter = '&raquo;';
  $home = 'Home'; // text for the 'Home' link
  $before = '<span class="current">'; // tag before the current crumb
  $after = '</span>'; // tag after the current crumb
 
  if ( !is_home() && !is_front_page() || is_paged() ) {
 
    echo '<div id="crumbs">';
 
    global $post;
    $homeLink = get_bloginfo('url');
    echo '<a href="' . $homeLink . '">' . $home . '</a> ' . $delimiter . ' ';
 
    if ( is_category() ) {
      global $wp_query;
      $cat_obj = $wp_query->get_queried_object();
      $thisCat = $cat_obj->term_id;
      $thisCat = get_category($thisCat);
      $parentCat = get_category($thisCat->parent);
      if ($thisCat->parent != 0) echo(get_category_parents($parentCat, TRUE, ' ' . $delimiter . ' '));
      echo $before . 'Archive by category "' . single_cat_title('', false) . '"' . $after;
 
    } elseif ( is_day() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo '<a href="' . get_month_link(get_the_time('Y'),get_the_time('m')) . '">' . get_the_time('F') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('d') . $after;
 
    } elseif ( is_month() ) {
      echo '<a href="' . get_year_link(get_the_time('Y')) . '">' . get_the_time('Y') . '</a> ' . $delimiter . ' ';
      echo $before . get_the_time('F') . $after;
 
    } elseif ( is_year() ) {
      echo $before . get_the_time('Y') . $after;
 
    } elseif ( is_single() && !is_attachment() ) {
      if ( get_post_type() != 'post' ) {
		
		$post_type = get_post_type_object(get_post_type());
        $slug = $post_type->rewrite;
		$terms = get_the_terms($post->ID, 'site_categories');
		foreach($terms as $term) {
			$term_name = $term->name; 
			$term_link = get_term_link($term, 'site_categories'); break;
		}
        echo '<a href="' . $homeLink . '/' . $slug['slug'] . '/">' . $post_type->labels->name . '</a> ' . $delimiter . ' ' . '<a href="' . $term_link . '">' . $term_name . '</a> ' . $delimiter . ' ';
        echo $before . get_the_title() . $after;
		
      } else {
        $cat = get_the_category(); $cat = $cat[0];
        echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
        echo $before . get_the_title() . $after;
      }
 
    } elseif ( !is_single() && !is_page() && get_post_type() != 'post' && !is_404() ) {
      $post_type = get_post_type_object(get_post_type());
      echo $before . $post_type->labels->singular_name . $after;
 
    } elseif ( is_attachment() ) {
      $parent = get_post($post->post_parent);
      $cat = get_the_category($parent->ID); $cat = $cat[0];
      echo get_category_parents($cat, TRUE, ' ' . $delimiter . ' ');
      echo '<a href="' . get_permalink($parent) . '">' . $parent->post_title . '</a> ' . $delimiter . ' ';
      echo $before . get_the_title() . $after;
 
    } elseif ( is_page() && !$post->post_parent ) {
      echo $before . get_the_title() . $after;
 
    } elseif ( is_page() && $post->post_parent ) {
      $parent_id  = $post->post_parent;
      $breadcrumbs = array();
      while ($parent_id) {
        $page = get_page($parent_id);
        $breadcrumbs[] = '<a href="' . get_permalink($page->ID) . '">' . get_the_title($page->ID) . '</a>';
        $parent_id  = $page->post_parent;
      }
      $breadcrumbs = array_reverse($breadcrumbs);
      foreach ($breadcrumbs as $crumb) echo $crumb . ' ' . $delimiter . ' ';
      echo $before . get_the_title() . $after;
 
    } elseif ( is_search() ) {
      echo $before . 'Search results for "' . get_search_query() . '"' . $after;
 
    } elseif ( is_tag() ) {
      echo $before . 'Posts tagged "' . single_tag_title('', false) . '"' . $after;
 
    } elseif ( is_author() ) {
       global $author;
      $userdata = get_userdata($author);
      echo $before . 'Articles posted by ' . $userdata->display_name . $after;
 
    } elseif ( is_404() ) {
      echo $before . 'Error 404' . $after;
    }
 
    if ( get_query_var('paged') ) {
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ' (';
      echo __('Page') . ' ' . get_query_var('paged');
      if ( is_category() || is_day() || is_month() || is_year() || is_search() || is_tag() || is_author() ) echo ')';
    }
 
    echo '</div>';
 
  }
} // end dimox_breadcrumbs()

//better wordpress post excerpt
function the_new_excerpt($words = 50, $link_text = 'Read More &#187;', $allowed_tags = '', $container = 'p', $smileys = 'no' )
{
	global $post;
	 
	if ( $allowed_tags == 'all' ) $allowed_tags = '<a>,<i>,<em>,<b>,<strong>,<ul>,<ol>,<li>,<span>,<blockquote>,<img>';
	 
	$text = preg_replace('/\[.*\]/', '', strip_tags(apply_filters('the_content', strip_shortcodes($post->post_content)), $allowed_tags));
	 
	$text = explode(' ', $text);
	$tot = count($text);
	 
	for ( $i=0; $i<$words; $i++ ) : $output .= $text[$i] . ' '; endfor;
	 
	if ( $smileys == "yes" ) $output = convert_smilies($output);
	 
	?><p><?php echo force_balance_tags($output) ?><?php if ( $i < $tot ) : ?><?php else : ?></p><?php endif; ?>
	<?php if ( $i < $tot ) : 
	if ( $container == 'p' || $container == 'div' ) : ?></p><?php endif; 
	if ( $container != 'plain' ) : ?><<?php echo $container; ?> class="more"><?php if ( $container == 'div' ) : ?><p><?php endif; endif; ?>
	 
	<a href="<?php the_permalink(); ?>" title="<?php echo $link_text; ?>"><?php echo $link_text; ?></a><?php
	 
	if ( $container == 'div' ) : ?></p><?php endif; if ( $container != 'plain' ) : ?></<?php echo $container; ?>><?php endif;
	 
	if ( $container == 'plain' || $container == 'span' ) : ?></p><?php endif; 
	endif;
}


// recent comments
function recent_comments($no_comments = 4, $comment_len = 70) {
    global $wpdb;
	$request = "SELECT * FROM $wpdb->comments";
	$request .= " JOIN $wpdb->posts ON ID = comment_post_ID";
	$request .= " WHERE comment_approved = '1' AND post_status = 'publish' AND post_password =''";
	$request .= " ORDER BY comment_date DESC LIMIT $no_comments";
	$comments = $wpdb->get_results($request);
	if ($comments) {
		foreach ($comments as $comment) {
			ob_start();
			?>	
				<li class="side-comment-wrap clearfix">
					<div class="side-avatar"><?php echo get_avatar($comment,$size='28',$default='<path_to_url>' ); ?></div>
					<a class="side-comment-author" href="<?php echo get_permalink( $comment->comment_post_ID ) . '#comment-' . $comment->comment_ID; ?>"><?php echo bb_get_author($comment); ?></a>:
					<?php echo strip_tags(substr(apply_filters('get_comment_text', $comment->comment_content), 0, $comment_len)); ?>	
				</li>
			<?php
			ob_end_flush();
		}
	} else {
		echo '<li>'.__('No comments', 'banago').'';
	}
}
function bb_get_author($comment) {
	$author = "";
	if ( empty($comment->comment_author) )
		$author = __('Anonymous', 'banago');
	else
		$author = $comment->comment_author;
	return $author;
}

// add browser classes to body
function browser_body_class($classes) {
 
	// A little Browser detection shall we?
	$browser = $_SERVER[ 'HTTP_USER_AGENT' ];
 
	// Mac, PC ...or Linux
	if ( preg_match( "/Mac/", $browser ) ){
		$classes[] = 'mac';
 
	} elseif ( preg_match( "/Windows/", $browser ) ){
		$classes[] = 'windows';
 
	} elseif ( preg_match( "/Linux/", $browser ) ) {
		$classes[] = 'linux';
 
	} else {
		$classes[] = 'unknown-os';
	}
 
	// Checks browsers in this order: Chrome, Safari, Opera, MSIE, FF
	if ( preg_match( "/Chrome/", $browser ) ) {
		$classes[] = 'chrome';
 
		preg_match( "/Chrome\/(\d.\d)/si", $browser, $matches);
		$classesh_version = 'ch' . str_replace( '.', '-', $matches[1] );
		$classes[] = $classesh_version;
 
		} elseif ( preg_match( "/Safari/", $browser ) ) {
			$classes[] = 'safari';
 
			preg_match( "/Version\/(\d.\d)/si", $browser, $matches);
			$sf_version = 'sf' . str_replace( '.', '-', $matches[1] );
			$classes[] = $sf_version;
 
		 } elseif ( preg_match( "/Opera/", $browser ) ) {
			$classes[] = 'opera';
 
			preg_match( "/Opera\/(\d.\d)/si", $browser, $matches);
			$op_version = 'op' . str_replace( '.', '-', $matches[1] );
			$classes[] = $op_version;
 
		 } elseif ( preg_match( "/MSIE/", $browser ) ) {
			$classes[] = 'msie';
 
			if( preg_match( "/MSIE 6.0/", $browser ) ) {
				$classes[] = 'ie6';
			} elseif ( preg_match( "/MSIE 7.0/", $browser ) ){
				$classes[] = 'ie7';
			} elseif ( preg_match( "/MSIE 8.0/", $browser ) ){
				$classes[] = 'ie8';
			} elseif ( preg_match( "/MSIE 9.0/", $browser ) ){
				$classes[] = 'ie9';
			}
 
			} elseif ( preg_match( "/Firefox/", $browser ) && preg_match( "/Gecko/", $browser ) ) {
				$classes[] = 'firefox';
 
				preg_match( "/Firefox\/(\d)/si", $browser, $matches);
				$ff_version = 'ff' . str_replace( '.', '-', $matches[1] );
				$classes[] = $ff_version;
 
			} else {
				$classes[] = 'unknown-browser';
			}
 
	return $classes;
}
add_filter('body_class','browser_body_class');

function kriesi_pagination($pages = '', $range = 10)
{  
     $showitems = ($range * 2)+1;  

     global $paged;
     if(empty($paged)) $paged = 1;

     if($pages == '')
     {
         global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
     }   

     if(1 != $pages)
     {
         echo "<div class='pagination'>";
         if($paged > 2 && $paged > $range+1 && $showitems < $pages) echo "<a href='".get_pagenum_link(1)."'>&laquo;</a>";
         if($paged > 1 && $showitems < $pages) echo "<a href='".get_pagenum_link($paged - 1)."'>&lsaquo;</a>";

         for ($i=1; $i <= $pages; $i++)
         {
             if (1 != $pages &&( !($i >= $paged+$range+1 || $i <= $paged-$range-1) || $pages <= $showitems ))
             {
                 echo ($paged == $i)? "<span class='current'>".$i."</span>":"<a href='".get_pagenum_link($i)."' class='inactive' >".$i."</a>";
             }
         }

         if ($paged < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($paged + 1)."'>&rsaquo;</a>";  
         if ($paged < $pages-1 &&  $paged+$range-1 < $pages && $showitems < $pages) echo "<a href='".get_pagenum_link($pages)."'>&raquo;</a>";
         echo "</div>\n";
     }
}


function niche_related_posts($taxonomy = '', $number = 3, $title = true, $thumbnail = true, $thumbnail_size = 57, $excerpt = true, $excerpt_length = 9, $float = 'left') {
	
	global $post;
	
	if($taxonomy == '') { $taxonomy = 'post_tag'; }
	if($excerpt_length == '') { $excerpt_length = 10; }
	
	$terms = wp_get_post_terms($post->ID, $taxonomy);

	if ($terms) {
		$first_term 	= $terms[0]->term_id;
		$second_term 	= $terms[1]->term_id;
		$third_term 	= $terms[2]->term_id;
		$args = array(
			'post_type' 		=> get_post_type($post->ID),
			'posts_per_page' 	=> $number,
			'exclude'			=> $post->ID,
			'tax_query' => array(
				'relation' => 'OR',
				array(
					'taxonomy' => $taxonomy,
					'terms' => $first_term,
					'field' => 'id',
					'operator' => 'IN',
				),
				array(
					'taxonomy' => $taxonomy,
					'terms' => $second_term,
					'field' => 'id',
					'operator' => 'IN',
				),
				array(
					'taxonomy' => $taxonomy,
					'terms' => $third_term,
					'field' => 'id',
					'operator' => 'IN',
				)
			)
		);
		$related = get_posts($args);
		$i = 0;
		if( $related ) {
			global $post;
			$temp_post = $post;
				$content .= '<ul class="related-posts-box">';
					foreach($related as $post) : setup_postdata($post);
						
							if($float != 'none' && $thumbnail == true) {	
								$item_height = $thumbnail_size + 8;
								$content .= '<li style="min-height:' . $item_height . 'px; height: auto!important; height: 100%;">';
							} else {
								$content .= '<li>';
							}
								if($thumbnail && has_post_thumbnail($post->ID)) {
									if($float != 'none') {
										if($float == 'left') { $margin = 'right'; } else { $margin = 'left'; }
										$content .= '<div style="float: ' . $float . '; height: ' . $thumbnail_size . 'px; margin-' . $margin . ': 10px;">';
									}
									$content .= '<a href="' . get_permalink() . '" title="' . get_the_title() . '">' . get_the_post_thumbnail($post->ID, 'related-sites') . '</a>';
									if($float != 'none') {
										$content .= '</div>';
									}
								}	
								if($title) {
									$content .= '<a class="related-title" href="' . get_permalink() . '" title="' . get_the_title() . '">' . get_the_title() . '</a>';
									if($comments == true) { 
										$content .= ' (<a href="' . get_comments_link() . '" title="View comments on ' .  $post->post_title . '">' . get_comments_number('0', '1', '%') . '</a>)';
									}
								}
								if($author) {
									$content .= '<div class="related-post-author">by ' . get_the_author() . '</div>';
								}
								if($time) {
									$content .= '<div class="related-post-date"><em>' . get_the_time('F j, Y') . '</em></div>';
								}
								if($excerpt) {
									if(get_post_type() == 'post') {
										$content_excerpt = $post->post_excerpt;
										if($content_excerpt == '') {
											$content_excerpt = $post->post_content;
										}
										$content_excerpt = strip_tags(stripslashes($content_excerpt), '<a><em><strong>');
										$content_excerpt = preg_split('/\b/', $content_excerpt, $excerpt_length*2+1);
										$body_excerpt_waste = array_pop($content_excerpt);
										$content_excerpt = implode($content_excerpt);
										$content_excerpt .= '...';
										$content .= apply_filters('the_content',$content_excerpt);	
									} else {
										$content .= '<p>' . get_post_meta(get_the_ID(), 'niche_site_desc', true) . '</p>';
									}
								}
							$content .= '</li>';
				
					endforeach;
				$content .= '</ul>';
					
			$post = $temp_post;
		}
	}

	return $content;
}

function niche_comments($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='38',$default='<path_to_url>' ); ?>

         <?php printf(__('<cite class="fn">%s</cite>'), get_comment_author_link()) ?>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Your comment is awaiting moderation.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata serif"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s'), get_comment_date()) ?></a></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>
     </div>
<?php
}


class niche_bookmarks_widget extends WP_Widget {
	
	function niche_bookmarks_widget() {
		
		// define widget title and description
		$widget_ops = array('classname' => 'bookmark_us',
							'description' => __( 'Shows the FB Like and Bookmark US links') );
		// register the widget
		$this->WP_Widget('niche_bookmarks_widget', __('Like / Bookmark Us Links'), $widget_ops);
	
	}
	
	// display the widget in the theme
	function widget( $args, $instance ) { ?>
				<div id="bookmarks">
					<div id="facebook-like">
						<div id="fb-root"></div>		
						<script>(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) {return;}
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/en_US/all.js#appId=194735393893036&xfbml=1";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, 'script', 'facebook-jssdk'));</script>
						<fb:like send="false" layout="button_count" width="76" show_faces="false"></fb:like>
					</div><!--end #facebook-like-->
					
					<div id="bookmark-us">
						<a href="<?php echo home_url(); ?>" id="blue_star" class="jQueryBookmark" title="<?php bloginfo('name'); ?>"><img src="<?php bloginfo('stylesheet_directory'); ?>/images/blue_star.gif" /> Bookmark Us!</a>
					</div><!--end #bookmark-us -->		
				</div><!--end #bookmarks -->
			<?php		
		//end
	}	
}
add_action('widgets_init', create_function('', 'return register_widget("niche_bookmarks_widget");'));		


class niche_categories_widget extends WP_Widget {
	
	function niche_categories_widget() {
		
		// define widget title and description
		$widget_ops = array('classname' => 'categories_widget',
							'description' => __( 'Shows the Site Categories') );
		// register the widget
		$this->WP_Widget('niche_site_categories_widget', __('Site Categories'), $widget_ops);
	
	}
	
	// display the widget in the theme
	function widget( $args, $instance ) { 
		extract( $args );
        $exclude = $instance['exclude'];	
		?>
		<ul id="sidebar-categories">
			<li <?php if(is_post_type_archive('sites')) { echo 'class="current-cat"'; } ?> ><a href="<?php echo get_post_type_archive_link('sites');?>" title="View all websites">All Websites</a></li>
			<?php wp_list_categories(array('taxonomy' => 'site_categories', 'title_li' => '', 'exclude' => $exclude)); ?>
		</ul><!--end #sidebar-categories-->
		<?php		
	}	
	
	/** @see WP_Widget::update */
    function update($new_instance, $old_instance) {		
		global $posttypes;
		$instance = $old_instance;
		$instance['exclude'] = strip_tags($new_instance['exclude']);

        return $instance;
    }

    /** @see WP_Widget::form */
    function form($instance) {	
	
        $exclude = esc_attr($instance['exclude']);
        ?>
         <p>
          <label for="<?php echo $this->get_field_id('exclude'); ?>"><?php _e('Exclude category IDs. Separate IDs with a comma:'); ?></label> 
          <input class="widefat" id="<?php echo $this->get_field_id('exclude'); ?>" name="<?php echo $this->get_field_name('exclude'); ?>" type="text" value="<?php echo $exclude; ?>" />
        </p>
        <?php 
    }

}
add_action('widgets_init', create_function('', 'return register_widget("niche_categories_widget");'));		

class niche_search_widget extends WP_Widget {
	
	function niche_search_widget() {
		
		// define widget title and description
		$widget_ops = array('classname' => 'search_widget',
							'description' => __( 'Show the Search Form') );
		// register the widget
		$this->WP_Widget('niche_search_widget', __('Search Form'), $widget_ops);
	
	}
	
	// display the widget in the theme
	function widget( $args, $instance ) { ?>
		<div id="sidebar-search">
			<?php get_search_form(); ?>
		</div><!--end #sidebar-search -->
		<?php		
	}	
}
add_action('widgets_init', create_function('', 'return register_widget("niche_search_widget");'));	


// newsletter widget
class niche_newsletter_widget extends WP_Widget {
	
	function niche_newsletter_widget() {
		
		// define widget title and description
		$widget_ops = array('classname' => 'newsletter_widget',
							'description' => __( 'Show newsletter signup form') );
		// register the widget
		$this->WP_Widget('niche_newsletter_widget', __('Newsletter Signup'), $widget_ops);
	
	}
	
	// display the widget in the theme
	function widget( $args, $instance ) { ?>
		<div id="newsletter" class="clearfix">
			<h3>Join our Newsletter!</h3>
			<form id="newsletter-form">
				<input name="email" type="text" class="text" value="Your Email.."/>
				<input type="submit" class="submit" value="Go"/>
			</form>
		</div><!--end #newsletter-->
		<?php		
	}	
}
add_action('widgets_init', create_function('', 'return register_widget("niche_newsletter_widget");'));			