<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */

get_header(); ?>

	<div id="main-content">
	
		<?php get_template_part('featured', 'slider'); ?>
	
		<?php if (have_posts()) : $i = 0; ?>
			<div class="site-list">
				<h2>
					You searched for: <?php the_search_query(); ?>
					<ul class="social archive-social">
						<li><a href="http://www.feedburner.com/fb/a/emailFlare?itemTitle=<?php the_title(); ?>&uri=<?php the_permalink(); ?>&loc=$loc" class="email">Email to a Friend</a></li>
						<li><a href="http://www.facebook.com/share.php?u=<?php the_permalink(); ?>" class="facebook">Share on Facebook</a></li>
						<li><a href="http://twitter.com/home/?status=<?php the_title(); ?>+<?php the_permalink(); ?>" class="twitter">Share on Twitter</a></li>
						<li><a href="http://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink(); ?>&title=<?php the_title(); ?>" class="linkedin">Share in LinkedIn</a></li>
					</ul>
				</h2>
				<?php while (have_posts()) : the_post(); ?>

					<div class="entry clearfix">
						<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id(  $post->ID ), "site-image" ); ?>
						<a href="<?php echo $image[0]; ?>" class="preview">
							<?php
								$meta = get_post_custom(get_the_ID());
								$thumb = $meta['niche_thumb'][0];
								if($thumb == '' || !isset($thumb)) {
									the_post_thumbnail('site-thumb');
								} else {
									echo '<img src="' . $thumb . '" class="attachment-site-thumb"/>';
								}
							?>
						</a>
						<div class="site-desc">
							<h3 class="title"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
							<?php if($meta['niche_site_desc'][0]) { ?>
								<p><?php echo $meta['niche_site_desc'][0]; ?></p>
							<?php } else { the_new_excerpt(20, ''); } ?>
						</div><!--end .site-desc -->
						<div class="site-meta">
							<?php
							
								if(get_post_type(get_the_ID()) == 'sites') { $tax = 'site_categories'; } else { $tax = 'category'; }
							
								// get the term archive link for the first category
								$terms = get_the_terms(get_the_ID(), $tax);
								if($terms) {
									foreach($terms as $term) {
										$term_link = get_term_link($term, $tax); break;
									}
								}
							?>
							<a href="<?php the_permalink(); ?>" class="visit-site" title="<?php the_title_attribute(); ?>">Visit Website</a>
							<ul>
								<li class="related"><a href="#"><a href="<?php echo $term_link; ?>">related sites</a></li>
								<li class="details"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">details</a></li>
							</ul>
							
						</div><!--end .site-meta -->
					</div><!--end .entry -->

					<?php if($i == 3 && $options['adsense_index']) { ?>
						<div id="google-adsense" class="index-ads"><?php echo $options['adsense_index']; ?></div>
					<?php } ?>
					
				<?php $i++; endwhile; ?>
			</div><!--end .site-list-->
			<div class="navigation">
				<?php if(function_exists('kriesi_pagination')) {
					kriesi_pagination();
				} else { ?>
					<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
					<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
				<?php } ?>
			</div>

		<?php else : ?>
			<div class="entry">
				<h3 class="title serif">Not Found</h3>
				<p>Sorry, but you are looking for something that isn't here.</p>
			</div>
		<?php endif; ?>

	</div>
	
	<?php get_sidebar('left'); ?>
	
<?php get_footer(); ?>
