<?php
/**
 * @package WordPress
 * @subpackage Default_Theme
 */
global $options;
get_header(); ?>

	<div id="main-content">
	
		<?php if (have_posts()) : ?>

			<?php while (have_posts()) : the_post(); ?>
				<?php $meta = get_post_custom(); ?>
				<div class="entry clearfix">
					<h2 class="title"><?php the_title(); ?></h2>
					<p style="font-size: 12px;">Last updated: <?php the_date(); ?></p>
					<?php the_content(); ?>
					<ul class="meta">
						<li><?php echo get_the_term_list($post->ID, 'category', '', ', ', ''); ?></li>
						<li class="tags"><?php echo get_the_term_list($post->ID, 'post_tag', '', ', ', ''); ?></li>
					</ul>
							
					<div id="post-bottom">
						<div id="google-adsense">
							<h4 class="related serif">Sponsored Links</h4>
							<?php echo $options['adsense_single']; ?>
						</div>
						<div class="related-sites">
							<h4 class="related serif">Related Posts</h4>
							<?php echo niche_related_posts('category'); ?>
						</div><!--end .related-sites-->
					</div><!--end #post-bottom-->
				</div>
				
				<div id="comments">
					<?php comments_template(); ?>
				</div>

					
				
			<?php endwhile; ?>

			<div class="navigation">
				<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
				<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
			</div>

		<?php else : ?>
			<div class="entry">
				<h3 class="title serif">Not Found</h3>
				<p>Sorry, but you are looking for something that isn't here.</p>
			</div>

		<?php endif; ?>

	</div>

	<?php get_sidebar('left'); ?>
	
<?php get_footer(); ?>
